<?php

/**
 * @package         Advanced Custom Fields
 * @version         0.5.1 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2018 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;

if (!$url = $field->value)
{
	return;
}

$url = json_decode($url);
$id  = 'acf_url_' . $field->id;

// Output
$buffer = '<a id="' . $id . '" href="' . $url->url . '" class="acf_url ' . $fieldParams->get('url_class') . '"';

// Set target attribute
if ($url->target == 'new_tab')
{
	$buffer .= 'target="_blank"';
}

if ($url->target == 'popup')
{
	$onclick = $fieldParams->get('onclick');
	$new_window_code = 'window.open(\'' . $url->url . '\', \'_blank\', \'width=800,height=600\'); return false;';
	$fieldParams->set('onclick', $onclick . $new_window_code);
}

// Set the onClick handler - Do not remove this block from Free version as it's required by the target property.
$onclick = $fieldParams->get('onclick');
if (!empty($onclick)) {
	$buffer .= ' onclick="' . $onclick . '"';
}



$buffer .= '>' . $url->text . '</a>';

echo $buffer;